> ## Documentation Index
> Fetch the complete documentation index at: https://docs.calseta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Source



## OpenAPI

````yaml POST /v1/sources
openapi: 3.1.0
info:
  title: Calseta
  description: SOC data platform for security agent consumption
  version: dev
servers: []
security: []
paths:
  /v1/sources:
    post:
      tags:
        - sources
      summary: Create Source
      operationId: create_source_v1_sources_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SourceIntegrationCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataResponse_SourceIntegrationResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SourceIntegrationCreate:
      properties:
        source_name:
          type: string
          title: Source Name
        display_name:
          type: string
          maxLength: 255
          minLength: 1
          title: Display Name
        is_active:
          type: boolean
          title: Is Active
          default: true
        auth_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Auth Type
        auth_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Auth Config
        documentation:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentation
      type: object
      required:
        - source_name
        - display_name
      title: SourceIntegrationCreate
    DataResponse_SourceIntegrationResponse_:
      properties:
        data:
          $ref: '#/components/schemas/SourceIntegrationResponse'
        meta:
          additionalProperties: true
          type: object
          title: Meta
      type: object
      required:
        - data
      title: DataResponse[SourceIntegrationResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SourceIntegrationResponse:
      properties:
        uuid:
          type: string
          format: uuid
          title: Uuid
        source_name:
          type: string
          title: Source Name
        display_name:
          type: string
          title: Display Name
        is_active:
          type: boolean
          title: Is Active
        auth_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Auth Type
        documentation:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentation
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - uuid
        - source_name
        - display_name
        - is_active
        - auth_type
        - documentation
        - created_at
        - updated_at
      title: SourceIntegrationResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````